<template>
  <div class="provider-type-card">
    <figure :class="`img-container ${templateType}`" @click="handleRedirect">
      <img
        :src="
          getAssetImage(
            `assets/theme/common/LobbySettings/${dataForDisplay.SelectedModule.replace(
              /\s/g,
              ''
            )}/${dataForDisplay.SelectedStyle}/${position.replace(
              /\s/g,
              ''
            )}.svg`
          )
        "
        loading="lazy"
      />
    </figure>
    <div v-if="templateType !== 'tall'" class="content">
      <div class="header">
        <div>
          <dotDecorationClientVue />
          <span class="--text4">{{
            $t(position.replace(/\s/g, "_").toLowerCase())
          }}</span>
        </div>
        <nuxt-link
          class="cta"
          :to="position === 'Cockfighting' ? '/CockFight' : `/${position.replace(/\s/g, '-')}`"
          :title="$t('try_now')"
          :id="ID.PROVIDER_MODULE_ONE[position?.toLowerCase()?.replace(/\s/g, '_')]"
        >
          <span class="truncate pointer-events-none">{{ $t("try_now") }}</span>
        </nuxt-link>
      </div>
      <hr />
      <div class="footer --text4">{{ $t(description) }}</div>
    </div>
  </div>
</template>

<script lang="ts" setup>
import { ILobbySettingsText } from "@/models/customizeTheme";
import dotDecorationClientVue from "~~/components/utils/dot-decoration.client.vue";

const props = defineProps<{
  data: ILobbySettingsText;
  position: string;
  description: string;
}>();
const dataForDisplay = computed(() => props.data);
const { getAssetImage } = commonHelper;
const templateType = computed(() =>
  props.data.SelectedStyle === "Provider_type_module_02" ? "tall" : "compact"
);

const router = useRouter();
const handleRedirect = () => {
  if (templateType.value === "tall")
    router.push(props.position.replace(/\s/g, "-").replace("ing", ""));
};
</script>

<style lang="scss" scope>
.provider-type-card {
  .img-container {
    height: fit-content;
    overflow: hidden;
    &.compact {
      width: 294px;
      height: 200px;
      border-radius: 8px;
    }
    &.tall {
      max-width: 300px;
      height: 480px;
    }
    img {
      transition: scale 0.5s ease-in-out;
      &:hover {
        scale: 1.2;
      }
    }
  }
  .content {
    display: flex;
    flex-direction: column;
    min-height: 100px;
    gap: 8px;
    background: var(--background5);
    align-items: flex-start;
    margin-top: 8px;
    padding: 8px;
    border-radius: 8px;

    & > * {
      align-self: stretch;
    }

    & .header {
      position: relative;
      display: flex;
      justify-content: space-between;

      & > div {
        display: flex;
        gap: 8px;
        align-items: center;
        height: 22px;

        & > * {
          height: 100%;
        }
      }
    }

    .cta {
      color: var(--textBtn);
      background: var(--primary);
      padding: 4px 10px;
      border-radius: 4px;
      display: flex;
      align-items: center;
      width: 72px;
      height: 24px;
    }
  }
  hr {
    height: 1px;
    border: none;
    background: linear-gradient(
      90deg,
      rgba(255, 255, 255, 0) 0%,
      #ffffff 50%,
      rgba(255, 255, 255, 0) 100%
    );
  }
}
</style>
